/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.tobee.opencv.detector;

import org.opencv.core.Size;


/**
 *
 * @author User
 */
public interface IObjectDetector {
    String MODEL_YOLO = "YOLO";
    String MODEL_MASK_RCNN = "MRCNN";
    String TYPE_NONE = "None";
    String TYPE_IMAGE = "Image";
    String TYPE_VIDEO = "Video";
    String TYPE_CPU = "cpu";
    String TYPE_GPU = "gpu";
    
    String MASK_RCNN_LABEL_FILE = "mscoco_labels.names";
    String YOLO_LABEL_FILE = "coco.names";
    
    float DEFAULT_THRESHOLD = 0.5f; // threshold
    double maskThreshold = 0.3; // Mask threshold
    int MASK_RCNN_SIZE = 800;
    int MASK_RCNN_SIZE_BIG = 1024;
    Size BLOB_MASK_RCNN_SIZE = new Size(MASK_RCNN_SIZE, MASK_RCNN_SIZE);
    Size BLOB_MASK_RCNN_SIZE_BIG = new Size(MASK_RCNN_SIZE_BIG, MASK_RCNN_SIZE_BIG);
    
    int YOLO_SIZE = 416;
    int YOLO_SIZE_BIG = 608;
    Size BLOB_YOLO_V3_SIZE = new Size(YOLO_SIZE, YOLO_SIZE);
    Size BLOB_YOLO_V4_SIZE = new Size(YOLO_SIZE, YOLO_SIZE);
    Size BLOB_YOLO_V4_SIZE_BIG = new Size(YOLO_SIZE_BIG, YOLO_SIZE_BIG);
    
    void detectObject();
    
}
