package com.tobee.opencv.detector.tests;

import com.tobee.opencv.detector.tests.yolo.TestYolov3_linkedin;
import org.opencv.core.Core;

public class TestCVMain {
	//mask rcnn 
	// --color=C:\DEV\DATA\opencv\models\colors.txt 
	// --label=C:\DEV\DATA\opencv\models\mscoco_labels.names 
	// --device=cpu 
	// --image=C:\DEV\DATA\opencv\resources\image\cars.jpg 
	// --model=C:\DEV\DATA\opencv\models\mask_rcnn\frozen_inference_graph.pb 
	// --graph=C:\DEV\DATA\opencv\models\mask_rcnn\mask_rcnn_inception_v2_coco_2018_01_28.pbtxt
	
	// yolo 
	//--device=cpu 
	//--label=C:\DEV\DATA\opencv\yolo\coco.names 
	//--config=C:\DEV\DATA\opencv\yolo\yolov3.cfg 
	//--model=C:\DEV\DATA\opencv\yolo\yolov3.weights 
	//--image=C:\DEV\DATA\opencv\resources\image\cars.jpg
	
	//--device=gpu --label=C:\DEV\DATA\opencv\yolo\coco.names --config=C:\DEV\DATA\opencv\yolo\yolov3.cfg --model=C:\DEV\DATA\opencv\yolo\yolov3.weights --video=C:\DEV\DATA\opencv\resources\video\cars.mp4
	public static void main(String[] args) {
		System.out.println(Core.NATIVE_LIBRARY_NAME);
		System.loadLibrary(Core.NATIVE_LIBRARY_NAME);
		//mask-rcnn
		//TestFastRCNNNewStyleCode.mainMaskRCNNStyleNew(args);
		
		//TestFastRCNNOldStyleCode.mainMaskRCNNStyleOld(args);
		//System.exit(0);
		
		//TestFastRCNNNewStyleCodeSwing.mainMaskRCNNStyleNew(args);
		//TestMaskRCNNOldStyleCodeSwing.mainMaskRCNNStyleOld(args);
		
		//yolo
		try {
			//TestYolov3.mainYolov3(args);
			TestYolov3_linkedin.mainYolov3(args);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
